Enable Merchant API access
POST/api/merchant/auth/enable
Enable Merchant API access
Request
Request body (required)
{
"webhookUrl": "string"
}Responses
201 Merchant access enabled
Example response
{
"message": "merchant api enabled successfully",
"response": {
"merchant": {
"id": "66c9b4b736d142b900000001",
"userId": "66c9b4b736d142b900000002",
"businessName": "Acme Store",
"email": "payments@acme.example",
"status": "active",
"accountNumber": "0123456789",
"accountName": "Acme Store",
"bankCode": "100033",
"bankName": "PALMPAY",
"webhookUrl": "https://acme.example/webhooks/importa",
"availableBalance": 125000,
"pendingBalance": 0,
"totalCollected": 350000,
"totalWithdrawn": 100000,
"createdAt": "2026-08-24T12:00:00.000Z",
"updatedAt": "2026-08-24T12:00:00.000Z"
},
"webhookSecret": "whsec_example_secret"
}
}